import request from "@/utils/request";

// 查询周报列表
export function listWeekly(query) {
  return request({
    url: "/offcial/weekly/list",
    method: "get",
    params: query,
  });
}
// 查询周报列表
export function zyListWeekly(query) {
  return request({
    url: "/offcial/weekly/zyList",
    method: "get",
    params: query,
  });
}

// 查询周报详细
export function getWeekly(id) {
  return request({
    url: "/offcial/weekly/" + id,
    method: "get",
  });
}

// 新增周报
export function addWeekly(data) {
  return request({
    url: "/offcial/weekly",
    method: "post",
    data: data,
  });
}
// 新增周报
export function addItems(data) {
  return request({
    url: "/offcial/weekly/addItems",
    method: "post",
    data: data,
  });
}

// 修改周报
export function updateWeekly(data) {
  return request({
    url: "/offcial/weekly",
    method: "put",
    data: data,
  });
}

// 删除周报
export function delWeekly(id) {
  return request({
    url: "/offcial/weekly/" + id,
    method: "delete",
  });
}
// 获取自己的督办列表
export function myselfDb(query) {
  return request({
    url: "/offcial/supervision/sel/myselfDb",
    method: "get",
    params: query,
  });
}
// 预览汇总
export function leaderViewWeekReport(query) {
  return request({
    url: "/offcial/weekly/leaderViewWeekReport",
    method: "get",
    params: query,
  });
  // let f = new FormData();
  // Object.keys(data).forEach((key) => {
  //   f.append(key, data[key]);
  // });
  // return request({
  //   url: "/offcial/weekly/leaderViewWeekReport",
  //   method: "get",
  //   data: f,
  // });
}
//根据部门查询部门负责人周报
export function getDeptWeekly(query) {
  return request({
    url: "/offcial/weekly/selWeeklyByDept",
    method: "get",
    params: query,
  });
}
// 更新事务信息
export function editItems(data) {
  return request({
    url: "/offcial/leaderReport",
    method: "put",
    data: data,
  });
}
// 负责人查看所有人的周报信息
export function selDeptWeekList(query) {
  return request({
    url: "/offcial/weekly/selDeptWeekList",
    method: "post",
    params: query,
  });
}
// 获取当前登录人详细信息
export function getSelfWeekly(query) {
  return request({
    url: "/offcial/weekly/getSelfWeekly",
    method: "post",
    params: query,
  });
}
// 办公室提交给领导
export function sendToLeader(data) {
  return request({
    url: "/offcial/weekly/sendToLeader",
    method: "post",
    data: data,
  });
}
// 新增周报从
export function addItem(data) {
  return request({
    url: "/offcial/item",
    method: "post",
    data: data,
  });
}
// 删除周报从
export function delItem(id) {
  return request({
    url: "/offcial/leaderReport/" + id,
    method: "delete",
  });
}
export function importWeeklyData(query) {
  return request({
    url: "/offcial/weekly/importWeeklyData",
    method: "get",
    params: query,
  });
}

export function queryDeptUserWeekly(query) {
  return request({
    url: "/offcial/weekly/queryDeptUserWeekly",
    method: "get",
    params: query,
  });
}

//设置周数
export function setTimeWindow(params) {
  return request({
    url: "/system/config/weeklyReportTimeWindow",
    method: "get",
    params,
  });
}

//获取周报填报设置
export function getWeeklyReportSetting() {
  return request({
    url: "/system/config/getWeeklyReportTimeWindow",
    method: "get",
  });
}
// 添加没有提交的处室周报
export function addOtherItems(data) {
  return request({
    url: "/offcial/leaderReport",
    method: "post",
    data: data,
  });
}
//办公室审核导出还没有汇总发送的数据
export function exportWeeklyData(query) {
  return request({
    url: "/offcial/weekly/weeklyReportResultByBgs",
    method: "get",
    params: query,
  });
}
// 批量导出
export function exportWeeklyDataBatch(query) {
  return request({
    url: "/offcial/weekly/download-zip",
    method: "get",
    params: query,
  });
}
// 汇总发送
export function sendReportToLeader(data) {
  return request({
    url: "/offcial/weekly/sendReportToLeader",
    method: "post",
    params: data,
  });
}
// 处室负责人提交周报时检测需要提交哪处室的周报
export function getUserChargeDept() {
  return request({
    url: "/system/user/getUserChargeDept",
    method: "get",
  });
}
