import request from "@/utils/request";

// 查询领导周报查看列表
export function listLeader(query) {
  return request({
    url: "/weekly/leader/zbgllist",
    method: "get",
    params: query,
  });
}

// 查询领导周报查看详细
export function getLeader(id) {
  return request({
    url: "/weekly/leader/" + id,
    method: "get",
  });
}

// 新增领导周报查看
export function addLeader(data) {
  return request({
    url: "/weekly/leader",
    method: "post",
    data: data,
  });
}

// 修改领导周报查看
export function updateLeader(data) {
  return request({
    url: "/weekly/leader",
    method: "put",
    data: data,
  });
}

// 删除领导周报查看
export function delLeader(id) {
  return request({
    url: "/weekly/leader/" + id,
    method: "delete",
  });
}

//获取文件信息列表
export function getFileList(id) {
  return request({
    url: "/offcial/leaderReport/reportList/" + id,
    method: "get",
  });
}

export function queryDeptUserWeekly(query) {
  return request({
    url: "/offcial/weekly/queryDeptUserWeekly",
    method: "get",
    params: query,
  });
}

// 获取领导查看附件地址
export function getLeaderFileUrl(query) {
  return request({
    url: "/offcial/weekly/queryDeptUserWeeklyExport",
    method: "get",
    params: query,
  });
}
